package com.tzld.longarticle.recommend.server.service;

import com.ctrip.framework.apollo.spring.annotation.ApolloJsonValue;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * @author dyp
 */
@Component
@Slf4j
public class AccountContentPoolConfigService {

    @ApolloJsonValue("${accountContentPoolConfig:{}}")
    private Map<String, String[]> accountContentPoolMap;

    public String[] getContentPools(String accountName) {
        if (accountContentPoolMap.containsKey(accountName)) {
            return accountContentPoolMap.get(accountName);
        }
        return accountContentPoolMap.get("default");
    }
}
